Creates a new task_files by supplying directly the field task_files.file_content as Byte Array
Request Information
URI Parameters :
None.
Body Parameters :
task_files| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| task_id |
Task Id |
globally unique identifier |
Required |
| file_name |
Name of the file |
string |
Required Max length: 100 |
| name | string |
Max length: 100 |
|
| description |
Description of the file |
string | |
| tags |
Tags of the file |
string | |
| mime_type |
Mime-type of the file.Used when redirect user to the data, like application/pdf or image/jpeg |
string |
Max length: 100 |
| file_type |
Readonly: Constant in case of specific file. Can be JOB_APPROVAL, ORDERPDF, PURCHASE_ORDERPDF |
string |
Max length: 200 |
| image_height |
In case of picture, the original heigth |
integer | |
| image_width |
In case of picture, the original width |
integer | |
| file_size |
Size in bytes of the file_content |
integer | |
| sales_organization_id |
In case of global files - you can specifiy if it's available for all organization or only one |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating db_file |
string | |
| sales_organization |
Embedded entity "sales_organization" using node when adding/updating db_file |
sales_organization | |
| file_content |
The file content, in Byte Array. Use this field when using POST/PUT |
Collection of byte | |
| dateutc_added |
Date UTC when file has been added |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| user_id | globally unique identifier |
Required |
|
| show_on_web | boolean |
Request Formats :
application/json, text/json
{
"id": "cbdac1ee-8e08-4467-81ca-3dda0cb41c4f",
"task_id": "194623f1-de53-4fc5-9ec1-bf0e29a35d05",
"file_name": "sample string 3",
"name": "sample string 4",
"description": "sample string 5",
"tags": "sample string 6",
"mime_type": "sample string 7",
"file_type": "sample string 8",
"image_height": 9,
"image_width": 10,
"file_size": 11,
"sales_organization_id": "f2775973-1e24-4cdb-b7d6-ef87f2e13c3a",
"sales_organization_code": "sample string 13",
"file_content": "QEA=",
"dateutc_added": "2026-03-24T08:38:23.2223653+00:00",
"modified_dateutc": "2026-03-24T08:38:23.2223653+00:00",
"user_id": "a2fe9633-c9d8-42b9-be57-2c60d16896d1",
"show_on_web": true
}
Response Information
Resource Description :
task_files| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| task_id |
Task Id |
globally unique identifier |
Required |
| file_name |
Name of the file |
string |
Required Max length: 100 |
| name | string |
Max length: 100 |
|
| description |
Description of the file |
string | |
| tags |
Tags of the file |
string | |
| mime_type |
Mime-type of the file.Used when redirect user to the data, like application/pdf or image/jpeg |
string |
Max length: 100 |
| file_type |
Readonly: Constant in case of specific file. Can be JOB_APPROVAL, ORDERPDF, PURCHASE_ORDERPDF |
string |
Max length: 200 |
| image_height |
In case of picture, the original heigth |
integer | |
| image_width |
In case of picture, the original width |
integer | |
| file_size |
Size in bytes of the file_content |
integer | |
| sales_organization_id |
In case of global files - you can specifiy if it's available for all organization or only one |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating db_file |
string | |
| sales_organization |
Embedded entity "sales_organization" using node when adding/updating db_file |
sales_organization | |
| file_content |
The file content, in Byte Array. Use this field when using POST/PUT |
Collection of byte | |
| dateutc_added |
Date UTC when file has been added |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| user_id | globally unique identifier |
Required |
|
| show_on_web | boolean |
Response Formats
application/json, text/json
{
"id": "a6fc5c33-bcb9-4c8e-8a02-ef9b1ad0d1ea",
"task_id": "17254d40-2f05-41e6-a964-731649c783ad",
"file_name": "sample string 3",
"name": "sample string 4",
"description": "sample string 5",
"tags": "sample string 6",
"mime_type": "sample string 7",
"file_type": "sample string 8",
"image_height": 9,
"image_width": 10,
"file_size": 11,
"sales_organization_id": "fb438af7-438a-4ea2-adb9-579f8f5133e1",
"sales_organization_code": "sample string 13",
"file_content": "QEA=",
"dateutc_added": "2026-03-24T08:38:23.2536079+00:00",
"modified_dateutc": "2026-03-24T08:38:23.2536079+00:00",
"user_id": "a1f0b41b-45fa-41c5-916e-1926bcd648f9",
"show_on_web": true
}